#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'ksettingshomedecl.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "ksettingshomedecl.h"

#include <ntqvariant.h>
#include <ntqpushbutton.h>
#include <kpushbutton.h>
#include <ntqlabel.h>
#include <ktextedit.h>
#include <tdelistview.h>
#include <ntqgroupbox.h>
#include <ntqcheckbox.h>
#include <knuminput.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a KSettingsHomeDecl as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KSettingsHomeDecl::KSettingsHomeDecl( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "KSettingsHomeDecl" );
    KSettingsHomeDeclLayout = new TQVBoxLayout( this, 11, 6, "KSettingsHomeDeclLayout"); 

    layout9 = new TQGridLayout( 0, 1, 1, 0, 6, "layout9"); 

    layout6 = new TQVBoxLayout( 0, 0, 6, "layout6"); 
    spacer5 = new TQSpacerItem( 20, 20, TQSizePolicy::Minimum, TQSizePolicy::Fixed );
    layout6->addItem( spacer5 );

    m_upButton = new KPushButton( this, "m_upButton" );
    layout6->addWidget( m_upButton );

    m_downButton = new KPushButton( this, "m_downButton" );
    layout6->addWidget( m_downButton );
    spacer15 = new TQSpacerItem( 21, 70, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    layout6->addItem( spacer15 );

    layout9->addLayout( layout6, 0, 2 );
    spacer16 = new TQSpacerItem( 80, 21, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    layout9->addItem( spacer16, 0, 3 );

    textLabel4 = new TQLabel( this, "textLabel4" );
    textLabel4->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)1, 0, 0, textLabel4->sizePolicy().hasHeightForWidth() ) );
    textLabel4->setAlignment( int( TQLabel::WordBreak | TQLabel::AlignTop ) );

    layout9->addMultiCellWidget( textLabel4, 1, 1, 2, 3 );

    kcfg_ItemList = new KTextEdit( this, "kcfg_ItemList" );

    layout9->addMultiCellWidget( kcfg_ItemList, 0, 1, 0, 0 );

    m_homePageList = new TDEListView( this, "m_homePageList" );
    m_homePageList->setFullWidth( TRUE );

    layout9->addMultiCellWidget( m_homePageList, 0, 1, 1, 1 );
    KSettingsHomeDeclLayout->addLayout( layout9 );

    groupbox = new TQGroupBox( this, "groupbox" );
    groupbox->setColumnLayout(0, TQt::Vertical );
    groupbox->layout()->setSpacing( 6 );
    groupbox->layout()->setMargin( 11 );
    groupboxLayout = new TQGridLayout( groupbox->layout() );
    groupboxLayout->setAlignment( TQt::AlignTop );

    percentageLabel = new TQLabel( groupbox, "percentageLabel" );

    groupboxLayout->addWidget( percentageLabel, 0, 0 );

    kcfg_RememberFontSize = new TQCheckBox( groupbox, "kcfg_RememberFontSize" );

    groupboxLayout->addMultiCellWidget( kcfg_RememberFontSize, 1, 1, 0, 2 );

    kcfg_FontSizePercentage = new KIntNumInput( groupbox, "kcfg_FontSizePercentage" );
    kcfg_FontSizePercentage->setValue( 100 );
    kcfg_FontSizePercentage->setMinValue( 1 );
    kcfg_FontSizePercentage->setMaxValue( 1000 );

    groupboxLayout->addWidget( kcfg_FontSizePercentage, 0, 1 );
    spacer4 = new TQSpacerItem( 40, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    groupboxLayout->addItem( spacer4, 0, 2 );
    KSettingsHomeDeclLayout->addWidget( groupbox );

    groupbox2 = new TQGroupBox( this, "groupbox2" );
    groupbox2->setColumnLayout(0, TQt::Vertical );
    groupbox2->layout()->setSpacing( 6 );
    groupbox2->layout()->setMargin( 11 );
    groupbox2Layout = new TQGridLayout( groupbox2->layout() );
    groupbox2Layout->setAlignment( TQt::AlignTop );

    kcfg_ShowLimitInfo = new TQCheckBox( groupbox2, "kcfg_ShowLimitInfo" );

    groupbox2Layout->addMultiCellWidget( kcfg_ShowLimitInfo, 0, 0, 0, 2 );
    KSettingsHomeDeclLayout->addWidget( groupbox2 );
    languageChange();
    resize( TQSize(659, 414).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KSettingsHomeDecl::~KSettingsHomeDecl()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KSettingsHomeDecl::languageChange()
{
    setCaption( tr2i18n( "Homepage Settings" ) );
    m_upButton->setText( tr2i18n( "Up" ) );
    m_downButton->setText( tr2i18n( "Down" ) );
    textLabel4->setText( tr2i18n( "Selected entries are shown on the home page of the application.<p>\n"
"Use the buttons and checkboxes to customize the layout of the home page." ) );
    kcfg_ItemList->setText( TQString::null );
    groupbox->setTitle( tr2i18n( "Homepage/Summary page font scaling" ) );
    percentageLabel->setText( tr2i18n( "Percentage of default font size:" ) );
    kcfg_RememberFontSize->setText( tr2i18n( "Remember font size when leaving the program if manually changed with mouse-wheel" ) );
    groupbox2->setTitle( tr2i18n( "Information display" ) );
    kcfg_ShowLimitInfo->setText( tr2i18n( "Show Account Limit Information" ) );
}

/****************************************************************************
** KSettingsHomeDecl meta object code from reading C++ file 'ksettingshomedecl.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "ksettingshomedecl.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *KSettingsHomeDecl::className() const
{
    return "KSettingsHomeDecl";
}

TQMetaObject *KSettingsHomeDecl::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_KSettingsHomeDecl( "KSettingsHomeDecl", &KSettingsHomeDecl::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString KSettingsHomeDecl::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "KSettingsHomeDecl", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString KSettingsHomeDecl::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "KSettingsHomeDecl", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* KSettingsHomeDecl::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQWidget::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"KSettingsHomeDecl", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_KSettingsHomeDecl.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* KSettingsHomeDecl::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "KSettingsHomeDecl" ) )
	return this;
    return TQWidget::tqt_cast( clname );
}

bool KSettingsHomeDecl::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return TQWidget::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool KSettingsHomeDecl::tqt_emit( int _id, TQUObject* _o )
{
    return TQWidget::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool KSettingsHomeDecl::tqt_property( int id, int f, TQVariant* v)
{
    return TQWidget::tqt_property( id, f, v);
}

bool KSettingsHomeDecl::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
