#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'kaccountsviewdecl.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kaccountsviewdecl.h"

#include <ntqvariant.h>
#include <kmymoney/kmymoneyaccounttree.h>
#include <ntqpushbutton.h>
#include <ntqtabwidget.h>
#include <kpushbutton.h>
#include <kiconview.h>
#include <ntqlabel.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a KAccountsViewDecl as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KAccountsViewDecl::KAccountsViewDecl( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "KAccountsViewDecl" );
    KAccountsViewDeclLayout = new TQVBoxLayout( this, 0, 6, "KAccountsViewDeclLayout"); 

    m_tab = new TQTabWidget( this, "m_tab" );

    tab = new TQWidget( m_tab, "tab" );
    tabLayout = new TQVBoxLayout( tab, 2, 6, "tabLayout"); 

    m_accountTree = new KMyMoneyAccountTree( tab, "m_accountTree" );
    m_accountTree->setShadeSortColumn( FALSE );
    tabLayout->addWidget( m_accountTree );

    layout5 = new TQHBoxLayout( 0, 0, 6, "layout5"); 

    m_collapseButton = new KPushButton( tab, "m_collapseButton" );
    layout5->addWidget( m_collapseButton );

    m_expandButton = new KPushButton( tab, "m_expandButton" );
    layout5->addWidget( m_expandButton );
    spacer2 = new TQSpacerItem( 515, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    layout5->addItem( spacer2 );
    tabLayout->addLayout( layout5 );
    m_tab->insertTab( tab, TQString::fromLatin1("") );

    tab_2 = new TQWidget( m_tab, "tab_2" );
    tabLayout_2 = new TQVBoxLayout( tab_2, 11, 6, "tabLayout_2"); 

    m_accountIcons = new TDEIconView( tab_2, "m_accountIcons" );
    m_accountIcons->setArrangement( TDEIconView::LeftToRight );
    m_accountIcons->setMaxItemTextLength( 30 );
    m_accountIcons->setAutoArrange( TRUE );
    m_accountIcons->setWordWrapIconText( FALSE );
    tabLayout_2->addWidget( m_accountIcons );
    m_tab->insertTab( tab_2, TQString::fromLatin1("") );
    KAccountsViewDeclLayout->addWidget( m_tab );

    m_hiddenCategories = new TQLabel( this, "m_hiddenCategories" );
    KAccountsViewDeclLayout->addWidget( m_hiddenCategories );

    layout4 = new TQHBoxLayout( 0, 0, 6, "layout4"); 
    Spacer1 = new TQSpacerItem( 367, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    layout4->addItem( Spacer1 );

    m_totalProfitsLabel = new TQLabel( this, "m_totalProfitsLabel" );
    m_totalProfitsLabel->setMinimumSize( TQSize( 150, 0 ) );
    m_totalProfitsLabel->setTextFormat( TQLabel::RichText );
    m_totalProfitsLabel->setAlignment( int( TQLabel::WordBreak | TQLabel::AlignVCenter | TQLabel::AlignRight ) );
    layout4->addWidget( m_totalProfitsLabel );
    KAccountsViewDeclLayout->addLayout( layout4 );
    languageChange();
    resize( TQSize(697, 426).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( m_expandButton, TQ_SIGNAL( clicked() ), m_accountTree, TQ_SLOT( slotExpandAll() ) );
    connect( m_collapseButton, TQ_SIGNAL( clicked() ), m_accountTree, TQ_SLOT( slotCollapseAll() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KAccountsViewDecl::~KAccountsViewDecl()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KAccountsViewDecl::languageChange()
{
    m_collapseButton->setText( TQString::null );
    TQToolTip::add( m_collapseButton, tr2i18n( "Collapse all accounts in the list" ) );
    m_expandButton->setText( TQString::null );
    TQToolTip::add( m_expandButton, tr2i18n( "Expand all accounts in the list" ) );
    m_tab->changeTab( tab, tr2i18n( "List" ) );
    m_tab->changeTab( tab_2, tr2i18n( "Icons" ) );
    m_hiddenCategories->setText( tr2i18n( "Note: Unused categories are not shown as selected by settings." ) );
    m_totalProfitsLabel->setText( tr2i18n( "Total Profits:" ) );
}

/****************************************************************************
** KAccountsViewDecl meta object code from reading C++ file 'kaccountsviewdecl.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "kaccountsviewdecl.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *KAccountsViewDecl::className() const
{
    return "KAccountsViewDecl";
}

TQMetaObject *KAccountsViewDecl::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_KAccountsViewDecl( "KAccountsViewDecl", &KAccountsViewDecl::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString KAccountsViewDecl::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "KAccountsViewDecl", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString KAccountsViewDecl::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "KAccountsViewDecl", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* KAccountsViewDecl::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQWidget::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"KAccountsViewDecl", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_KAccountsViewDecl.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* KAccountsViewDecl::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "KAccountsViewDecl" ) )
	return this;
    return TQWidget::tqt_cast( clname );
}

bool KAccountsViewDecl::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return TQWidget::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool KAccountsViewDecl::tqt_emit( int _id, TQUObject* _o )
{
    return TQWidget::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool KAccountsViewDecl::tqt_property( int id, int f, TQVariant* v)
{
    return TQWidget::tqt_property( id, f, v);
}

bool KAccountsViewDecl::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
