#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'kinvestmentviewdecl.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kinvestmentviewdecl.h"

#include <ntqvariant.h>
#include <kmymoney/kmymoneyaccountcombo.h>
#include <ntqlabel.h>
#include <tdelistview.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a KInvestmentViewDecl as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KInvestmentViewDecl::KInvestmentViewDecl( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "KInvestmentViewDecl" );
    KInvestmentViewDeclLayout = new TQVBoxLayout( this, 0, 6, "KInvestmentViewDeclLayout"); 

    layout2 = new TQHBoxLayout( 0, 0, 6, "layout2"); 

    textLabel1 = new TQLabel( this, "textLabel1" );
    layout2->addWidget( textLabel1 );

    m_accountComboBox = new KMyMoneyAccountCombo( this, "m_accountComboBox" );
    layout2->addWidget( m_accountComboBox );
    spacer1 = new TQSpacerItem( 280, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    layout2->addItem( spacer1 );
    KInvestmentViewDeclLayout->addLayout( layout2 );

    m_table = new TDEListView( this, "m_table" );
    TQFont m_table_font(  m_table->font() );
    m_table->setFont( m_table_font ); 
    m_table->setShadeSortColumn( FALSE );
    KInvestmentViewDeclLayout->addWidget( m_table );
    languageChange();
    resize( TQSize(707, 346).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KInvestmentViewDecl::~KInvestmentViewDecl()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KInvestmentViewDecl::languageChange()
{
    setCaption( tr2i18n( "Investment Summary" ) );
    textLabel1->setText( tr2i18n( "Select Account:" ) );
    TQToolTip::add( m_table, tr2i18n( "Summary of the equities contained in this account, showing your holdings and their most recent price." ) );
}

/****************************************************************************
** KInvestmentViewDecl meta object code from reading C++ file 'kinvestmentviewdecl.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "kinvestmentviewdecl.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *KInvestmentViewDecl::className() const
{
    return "KInvestmentViewDecl";
}

TQMetaObject *KInvestmentViewDecl::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_KInvestmentViewDecl( "KInvestmentViewDecl", &KInvestmentViewDecl::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString KInvestmentViewDecl::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "KInvestmentViewDecl", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString KInvestmentViewDecl::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "KInvestmentViewDecl", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* KInvestmentViewDecl::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQWidget::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"KInvestmentViewDecl", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_KInvestmentViewDecl.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* KInvestmentViewDecl::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "KInvestmentViewDecl" ) )
	return this;
    return TQWidget::tqt_cast( clname );
}

bool KInvestmentViewDecl::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return TQWidget::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool KInvestmentViewDecl::tqt_emit( int _id, TQUObject* _o )
{
    return TQWidget::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool KInvestmentViewDecl::tqt_property( int id, int f, TQVariant* v)
{
    return TQWidget::tqt_property( id, f, v);
}

bool KInvestmentViewDecl::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
