#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'kfindtransactiondlgdecl.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kfindtransactiondlgdecl.h"

#include <ntqvariant.h>
#include <kmymoney/kmymoneydateinput.h>
#include <kmymoney/kmymoneyedit.h>
#include <kmymoney/kmymoneycategory.h>
#include <kmymoney/register.h>
#include <../widgets/kmymoneyaccountselector.h>
#include <ntqpushbutton.h>
#include <ntqtabwidget.h>
#include <ntqwidget.h>
#include <ntqlabel.h>
#include <klineedit.h>
#include <kcombobox.h>
#include <ntqcheckbox.h>
#include <ntqbuttongroup.h>
#include <ntqradiobutton.h>
#include <tdelistview.h>
#include <kpushbutton.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>
#include "../widgets/kmymoneylineedit.h"

/*
 *  Constructs a KFindTransactionDlgDecl as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The qdialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal qdialog.
 */
KFindTransactionDlgDecl::KFindTransactionDlgDecl( TQWidget* parent, const char* name, bool modal, WFlags fl )
    : TQDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "KFindTransactionDlgDecl" );
    setSizeGripEnabled( TRUE );
    KFindTransactionDlgDeclLayout = new TQVBoxLayout( this, 11, 6, "KFindTransactionDlgDeclLayout"); 

    m_tabWidget = new TQTabWidget( this, "m_tabWidget" );

    m_criteriaPage = new TQWidget( m_tabWidget, "m_criteriaPage" );
    m_criteriaPageLayout = new TQVBoxLayout( m_criteriaPage, 11, 6, "m_criteriaPageLayout"); 

    TextLabel1 = new TQLabel( m_criteriaPage, "TextLabel1" );
    m_criteriaPageLayout->addWidget( TextLabel1 );

    m_criteriaTab = new TQTabWidget( m_criteriaPage, "m_criteriaTab" );
    m_criteriaTab->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)5, 0, 3, m_criteriaTab->sizePolicy().hasHeightForWidth() ) );

    m_textTab = new TQWidget( m_criteriaTab, "m_textTab" );
    m_textTabLayout = new TQGridLayout( m_textTab, 1, 1, 11, 6, "m_textTabLayout"); 
    Spacer20 = new TQSpacerItem( 16, 83, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    m_textTabLayout->addItem( Spacer20, 3, 2 );

    m_textEdit = new KLineEdit( m_textTab, "m_textEdit" );
    m_textEdit->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)7, (TQSizePolicy::SizeType)0, 1, 0, m_textEdit->sizePolicy().hasHeightForWidth() ) );
    m_textEdit->setMinimumSize( TQSize( 300, 0 ) );

    m_textTabLayout->addMultiCellWidget( m_textEdit, 0, 0, 1, 2 );

    m_textNegate = new KComboBox( FALSE, m_textTab, "m_textNegate" );

    m_textTabLayout->addWidget( m_textNegate, 0, 0 );

    m_regExp = new TQCheckBox( m_textTab, "m_regExp" );

    m_textTabLayout->addMultiCellWidget( m_regExp, 2, 2, 0, 2 );

    m_caseSensitive = new TQCheckBox( m_textTab, "m_caseSensitive" );

    m_textTabLayout->addMultiCellWidget( m_caseSensitive, 1, 1, 0, 1 );
    m_criteriaTab->insertTab( m_textTab, TQString::fromLatin1("") );

    m_accountTab = new TQWidget( m_criteriaTab, "m_accountTab" );
    m_accountTabLayout = new TQVBoxLayout( m_accountTab, 11, 6, "m_accountTabLayout"); 

    m_accountsView = new kMyMoneyAccountSelector( m_accountTab, "m_accountsView" );
    m_accountTabLayout->addWidget( m_accountsView );
    m_criteriaTab->insertTab( m_accountTab, TQString::fromLatin1("") );

    m_dateTab = new TQWidget( m_criteriaTab, "m_dateTab" );
    m_dateTabLayout = new TQVBoxLayout( m_dateTab, 11, 6, "m_dateTabLayout"); 

    layout16 = new TQHBoxLayout( 0, 0, 6, "layout16"); 

    layout15 = new TQGridLayout( 0, 1, 1, 0, 6, "layout15"); 

    m_dateRange = new KMyMoneyPeriodCombo( m_dateTab, "m_dateRange" );

    layout15->addWidget( m_dateRange, 0, 1 );

    TextLabel4 = new TQLabel( m_dateTab, "TextLabel4" );

    layout15->addWidget( TextLabel4, 0, 0 );

    m_fromDate = new kMyMoneyDateInput( m_dateTab, "m_fromDate" );

    layout15->addWidget( m_fromDate, 1, 1 );

    TextLabel6 = new TQLabel( m_dateTab, "TextLabel6" );

    layout15->addWidget( TextLabel6, 2, 0 );

    TextLabel5 = new TQLabel( m_dateTab, "TextLabel5" );

    layout15->addWidget( TextLabel5, 1, 0 );

    m_toDate = new kMyMoneyDateInput( m_dateTab, "m_toDate" );

    layout15->addWidget( m_toDate, 2, 1 );
    layout16->addLayout( layout15 );
    Spacer25 = new TQSpacerItem( 40, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    layout16->addItem( Spacer25 );
    m_dateTabLayout->addLayout( layout16 );
    Spacer22 = new TQSpacerItem( 20, 30, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    m_dateTabLayout->addItem( Spacer22 );
    m_criteriaTab->insertTab( m_dateTab, TQString::fromLatin1("") );

    m_amountTab = new TQWidget( m_criteriaTab, "m_amountTab" );
    m_amountTabLayout = new TQVBoxLayout( m_amountTab, 11, 6, "m_amountTabLayout"); 

    layout22 = new TQHBoxLayout( 0, 0, 6, "layout22"); 

    ButtonGroup1 = new TQButtonGroup( m_amountTab, "ButtonGroup1" );
    ButtonGroup1->setFrameShape( TQButtonGroup::NoFrame );
    ButtonGroup1->setFrameShadow( TQButtonGroup::Sunken );
    ButtonGroup1->setColumnLayout(0, TQt::Vertical );
    ButtonGroup1->layout()->setSpacing( 6 );
    ButtonGroup1->layout()->setMargin( 0 );
    ButtonGroup1Layout = new TQVBoxLayout( ButtonGroup1->layout() );
    ButtonGroup1Layout->setAlignment( TQt::AlignTop );

    m_amountButton = new TQRadioButton( ButtonGroup1, "m_amountButton" );
    ButtonGroup1Layout->addWidget( m_amountButton );

    m_amountRangeButton = new TQRadioButton( ButtonGroup1, "m_amountRangeButton" );
    ButtonGroup1Layout->addWidget( m_amountRangeButton );
    layout22->addWidget( ButtonGroup1 );

    layout20 = new TQGridLayout( 0, 1, 1, 0, 6, "layout20"); 

    m_amountToEdit = new kMyMoneyEdit( m_amountTab, "m_amountToEdit" );
    m_amountToEdit->setMinimumSize( TQSize( 100, 0 ) );

    layout20->addWidget( m_amountToEdit, 2, 1 );

    TextLabel9 = new TQLabel( m_amountTab, "TextLabel9" );

    layout20->addWidget( TextLabel9, 0, 0 );

    TextLabel8 = new TQLabel( m_amountTab, "TextLabel8" );

    layout20->addWidget( TextLabel8, 2, 0 );

    m_amountEdit = new kMyMoneyEdit( m_amountTab, "m_amountEdit" );
    m_amountEdit->setMinimumSize( TQSize( 100, 0 ) );

    layout20->addWidget( m_amountEdit, 0, 1 );

    TextLabel7 = new TQLabel( m_amountTab, "TextLabel7" );

    layout20->addWidget( TextLabel7, 1, 0 );

    m_amountFromEdit = new kMyMoneyEdit( m_amountTab, "m_amountFromEdit" );
    m_amountFromEdit->setMinimumSize( TQSize( 100, 0 ) );

    layout20->addWidget( m_amountFromEdit, 1, 1 );
    layout22->addLayout( layout20 );
    Spacer28 = new TQSpacerItem( 16, 16, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    layout22->addItem( Spacer28 );
    m_amountTabLayout->addLayout( layout22 );
    Spacer27 = new TQSpacerItem( 16, 75, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    m_amountTabLayout->addItem( Spacer27 );
    m_criteriaTab->insertTab( m_amountTab, TQString::fromLatin1("") );

    m_categoryTab = new TQWidget( m_criteriaTab, "m_categoryTab" );
    m_categoryTabLayout = new TQVBoxLayout( m_categoryTab, 11, 6, "m_categoryTabLayout"); 

    m_categoriesView = new kMyMoneyAccountSelector( m_categoryTab, "m_categoriesView" );
    m_categoryTabLayout->addWidget( m_categoriesView );
    m_criteriaTab->insertTab( m_categoryTab, TQString::fromLatin1("") );

    m_payeeTab = new TQWidget( m_criteriaTab, "m_payeeTab" );
    m_payeeTabLayout = new TQHBoxLayout( m_payeeTab, 11, 6, "m_payeeTabLayout"); 

    Layout46 = new TQVBoxLayout( 0, 0, 6, "Layout46"); 

    m_payeesView = new TDEListView( m_payeeTab, "m_payeesView" );
    m_payeesView->addColumn( tr2i18n( "Payee" ) );
    m_payeesView->header()->setClickEnabled( FALSE, m_payeesView->header()->count() - 1 );
    Layout46->addWidget( m_payeesView );

    m_emptyPayeesButton = new TQCheckBox( m_payeeTab, "m_emptyPayeesButton" );
    Layout46->addWidget( m_emptyPayeesButton );
    m_payeeTabLayout->addLayout( Layout46 );

    Layout45 = new TQVBoxLayout( 0, 0, 6, "Layout45"); 

    m_allPayeesButton = new KPushButton( m_payeeTab, "m_allPayeesButton" );
    Layout45->addWidget( m_allPayeesButton );

    m_clearPayeesButton = new KPushButton( m_payeeTab, "m_clearPayeesButton" );
    Layout45->addWidget( m_clearPayeesButton );
    Spacer29 = new TQSpacerItem( 0, 42, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    Layout45->addItem( Spacer29 );
    m_payeeTabLayout->addLayout( Layout45 );
    m_criteriaTab->insertTab( m_payeeTab, TQString::fromLatin1("") );

    m_detailsTab = new TQWidget( m_criteriaTab, "m_detailsTab" );
    m_detailsTabLayout = new TQVBoxLayout( m_detailsTab, 11, 6, "m_detailsTabLayout"); 

    layout19 = new TQHBoxLayout( 0, 0, 6, "layout19"); 

    layout18 = new TQGridLayout( 0, 1, 1, 0, 6, "layout18"); 

    TextLabel11_2 = new TQLabel( m_detailsTab, "TextLabel11_2" );

    layout18->addWidget( TextLabel11_2, 2, 0 );

    TextLabel10 = new TQLabel( m_detailsTab, "TextLabel10" );

    layout18->addWidget( TextLabel10, 0, 0 );

    m_stateBox = new KComboBox( FALSE, m_detailsTab, "m_stateBox" );

    layout18->addWidget( m_stateBox, 1, 1 );

    m_typeBox = new KComboBox( FALSE, m_detailsTab, "m_typeBox" );

    layout18->addWidget( m_typeBox, 0, 1 );

    m_validityBox = new KComboBox( FALSE, m_detailsTab, "m_validityBox" );

    layout18->addWidget( m_validityBox, 2, 1 );

    TextLabel11 = new TQLabel( m_detailsTab, "TextLabel11" );

    layout18->addWidget( TextLabel11, 1, 0 );
    layout19->addLayout( layout18 );
    Spacer30 = new TQSpacerItem( 130, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    layout19->addItem( Spacer30 );
    m_detailsTabLayout->addLayout( layout19 );

    layout21 = new TQHBoxLayout( 0, 0, 6, "layout21"); 

    ButtonGroup2 = new TQButtonGroup( m_detailsTab, "ButtonGroup2" );
    ButtonGroup2->setFrameShape( TQButtonGroup::NoFrame );
    ButtonGroup2->setColumnLayout(0, TQt::Vertical );
    ButtonGroup2->layout()->setSpacing( 6 );
    ButtonGroup2->layout()->setMargin( 11 );
    ButtonGroup2Layout = new TQVBoxLayout( ButtonGroup2->layout() );
    ButtonGroup2Layout->setAlignment( TQt::AlignTop );

    m_nrButton = new TQRadioButton( ButtonGroup2, "m_nrButton" );
    ButtonGroup2Layout->addWidget( m_nrButton );

    m_nrRangeButton = new TQRadioButton( ButtonGroup2, "m_nrRangeButton" );
    m_nrRangeButton->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)1, (TQSizePolicy::SizeType)0, 0, 0, m_nrRangeButton->sizePolicy().hasHeightForWidth() ) );
    ButtonGroup2Layout->addWidget( m_nrRangeButton );
    layout21->addWidget( ButtonGroup2 );

    layout17 = new TQGridLayout( 0, 1, 1, 0, 6, "layout17"); 

    TextLabel12 = new TQLabel( m_detailsTab, "TextLabel12" );

    layout17->addWidget( TextLabel12, 0, 0 );

    TextLabel14 = new TQLabel( m_detailsTab, "TextLabel14" );

    layout17->addWidget( TextLabel14, 2, 0 );

    m_nrToEdit = new kMyMoneyLineEdit( m_detailsTab, "m_nrToEdit" );

    layout17->addWidget( m_nrToEdit, 2, 1 );

    m_nrEdit = new kMyMoneyLineEdit( m_detailsTab, "m_nrEdit" );

    layout17->addWidget( m_nrEdit, 0, 1 );

    TextLabel13 = new TQLabel( m_detailsTab, "TextLabel13" );

    layout17->addWidget( TextLabel13, 1, 0 );

    m_nrFromEdit = new kMyMoneyLineEdit( m_detailsTab, "m_nrFromEdit" );

    layout17->addWidget( m_nrFromEdit, 1, 1 );
    layout21->addLayout( layout17 );
    Spacer31 = new TQSpacerItem( 20, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    layout21->addItem( Spacer31 );
    m_detailsTabLayout->addLayout( layout21 );
    Spacer32 = new TQSpacerItem( 16, 16, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    m_detailsTabLayout->addItem( Spacer32 );
    m_criteriaTab->insertTab( m_detailsTab, TQString::fromLatin1("") );
    m_criteriaPageLayout->addWidget( m_criteriaTab );

    m_selectedCriteria = new TQLabel( m_criteriaPage, "m_selectedCriteria" );
    m_selectedCriteria->setAlignment( int( TQLabel::AlignTop ) );
    m_criteriaPageLayout->addWidget( m_selectedCriteria );

    m_transferWarning = new TQLabel( m_criteriaPage, "m_transferWarning" );
    m_transferWarning->setPaletteForegroundColor( TQColor( 0, 0, 0 ) );
    TQFont m_transferWarning_font(  m_transferWarning->font() );
    m_transferWarning_font.setBold( TRUE );
    m_transferWarning->setFont( m_transferWarning_font ); 
    m_criteriaPageLayout->addWidget( m_transferWarning );
    spacer16 = new TQSpacerItem( 20, 24, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    m_criteriaPageLayout->addItem( spacer16 );
    m_tabWidget->insertTab( m_criteriaPage, TQString::fromLatin1("") );

    m_resultPage = new TQWidget( m_tabWidget, "m_resultPage" );
    m_resultPageLayout = new TQVBoxLayout( m_resultPage, 11, 6, "m_resultPageLayout"); 

    m_register = new KMyMoneyRegister::Register( m_resultPage, "m_register" );
    m_register->setNumRows( 0 );
    m_register->setNumCols( 12 );
    m_resultPageLayout->addWidget( m_register );

    m_foundText = new TQLabel( m_resultPage, "m_foundText" );
    m_foundText->setAlignment( int( TQLabel::AlignVCenter | TQLabel::AlignLeft ) );
    m_resultPageLayout->addWidget( m_foundText );
    m_tabWidget->insertTab( m_resultPage, TQString::fromLatin1("") );
    KFindTransactionDlgDeclLayout->addWidget( m_tabWidget );

    layout25 = new TQHBoxLayout( 0, 0, 6, "layout25"); 

    m_helpButton = new KPushButton( this, "m_helpButton" );
    m_helpButton->setAutoDefault( TRUE );
    m_helpButton->setProperty( "stdItem", 11 );
    layout25->addWidget( m_helpButton );
    spacer15 = new TQSpacerItem( 51, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    layout25->addItem( spacer15 );

    m_closeButton = new KPushButton( this, "m_closeButton" );
    m_closeButton->setProperty( "stdItem", 13 );
    layout25->addWidget( m_closeButton );

    m_resetButton = new KPushButton( this, "m_resetButton" );
    m_resetButton->setProperty( "stdItem", 21 );
    layout25->addWidget( m_resetButton );

    m_searchButton = new KPushButton( this, "m_searchButton" );
    m_searchButton->setAutoDefault( TRUE );
    m_searchButton->setDefault( TRUE );
    m_searchButton->setProperty( "stdItem", 25 );
    layout25->addWidget( m_searchButton );
    KFindTransactionDlgDeclLayout->addLayout( layout25 );
    languageChange();
    resize( TQSize(771, 481).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KFindTransactionDlgDecl::~KFindTransactionDlgDecl()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KFindTransactionDlgDecl::languageChange()
{
    setCaption( tr2i18n( "Search transactions" ) );
    TextLabel1->setText( tr2i18n( "Define your search criteria" ) );
    m_textNegate->clear();
    m_textNegate->insertItem( tr2i18n( "Contains" ) );
    m_textNegate->insertItem( tr2i18n( "Does not contain" ) );
    m_regExp->setText( tr2i18n( "Treat text as regular expression" ) );
    m_caseSensitive->setText( tr2i18n( "Case sensitive" ) );
    m_criteriaTab->changeTab( m_textTab, tr2i18n( "Text" ) );
    m_criteriaTab->changeTab( m_accountTab, tr2i18n( "Account" ) );
    TextLabel4->setText( tr2i18n( "Range" ) );
    TextLabel6->setText( tr2i18n( "To" ) );
    TextLabel5->setText( tr2i18n( "From" ) );
    m_criteriaTab->changeTab( m_dateTab, tr2i18n( "Date" ) );
    ButtonGroup1->setTitle( TQString::null );
    m_amountButton->setText( tr2i18n( "Search this amount" ) );
    m_amountRangeButton->setText( tr2i18n( "Search amount in the range" ) );
    TextLabel9->setText( TQString::null );
    TextLabel8->setText( tr2i18n( "to" ) );
    TextLabel7->setText( tr2i18n( "from" ) );
    m_criteriaTab->changeTab( m_amountTab, tr2i18n( "Amount" ) );
    m_criteriaTab->changeTab( m_categoryTab, tr2i18n( "Category" ) );
    m_payeesView->header()->setLabel( 0, tr2i18n( "Payee" ) );
    m_emptyPayeesButton->setText( tr2i18n( "Select transactions without payees" ) );
    m_allPayeesButton->setText( tr2i18n( "Select all" ) );
    m_clearPayeesButton->setText( tr2i18n( "Select none" ) );
    m_criteriaTab->changeTab( m_payeeTab, tr2i18n( "Payee" ) );
    TextLabel11_2->setText( tr2i18n( "Validity" ) );
    TextLabel10->setText( tr2i18n( "Type" ) );
    m_stateBox->clear();
    m_stateBox->insertItem( tr2i18n( "All states" ) );
    m_stateBox->insertItem( tr2i18n( "Not reconciled" ) );
    m_stateBox->insertItem( tr2i18n( "Cleared" ) );
    m_stateBox->insertItem( tr2i18n( "Reconciled" ) );
    m_typeBox->clear();
    m_typeBox->insertItem( tr2i18n( "All types" ) );
    m_typeBox->insertItem( tr2i18n( "Payments" ) );
    m_typeBox->insertItem( tr2i18n( "Deposits" ) );
    m_typeBox->insertItem( tr2i18n( "Transfers" ) );
    m_validityBox->clear();
    m_validityBox->insertItem( tr2i18n( "Any transaction" ) );
    m_validityBox->insertItem( tr2i18n( "Valid transaction" ) );
    m_validityBox->insertItem( tr2i18n( "Invalid transaction" ) );
    TextLabel11->setText( tr2i18n( "State" ) );
    ButtonGroup2->setTitle( TQString::null );
    m_nrButton->setText( tr2i18n( "Search this number" ) );
    m_nrRangeButton->setText( tr2i18n( "Search number in range" ) );
    TextLabel12->setText( TQString::null );
    TextLabel14->setText( tr2i18n( "to" ) );
    TextLabel13->setText( tr2i18n( "from" ) );
    m_criteriaTab->changeTab( m_detailsTab, tr2i18n( "Details" ) );
    m_selectedCriteria->setText( tr2i18n( "text" ) );
    m_transferWarning->setText( tr2i18n( "warning" ) );
    m_tabWidget->changeTab( m_criteriaPage, tr2i18n( "Criteria" ) );
    m_foundText->setText( tr2i18n( "F" ) );
    m_tabWidget->changeTab( m_resultPage, tr2i18n( "Result" ) );
    m_helpButton->setText( tr2i18n( "&Help" ) );
    m_closeButton->setText( tr2i18n( "&Close" ) );
    m_resetButton->setText( tr2i18n( "&Reset" ) );
    m_searchButton->setText( tr2i18n( "&Find" ) );
}

/****************************************************************************
** KFindTransactionDlgDecl meta object code from reading C++ file 'kfindtransactiondlgdecl.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "kfindtransactiondlgdecl.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *KFindTransactionDlgDecl::className() const
{
    return "KFindTransactionDlgDecl";
}

TQMetaObject *KFindTransactionDlgDecl::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_KFindTransactionDlgDecl( "KFindTransactionDlgDecl", &KFindTransactionDlgDecl::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString KFindTransactionDlgDecl::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "KFindTransactionDlgDecl", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString KFindTransactionDlgDecl::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "KFindTransactionDlgDecl", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* KFindTransactionDlgDecl::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQDialog::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"KFindTransactionDlgDecl", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_KFindTransactionDlgDecl.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* KFindTransactionDlgDecl::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "KFindTransactionDlgDecl" ) )
	return this;
    return TQDialog::tqt_cast( clname );
}

bool KFindTransactionDlgDecl::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return TQDialog::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool KFindTransactionDlgDecl::tqt_emit( int _id, TQUObject* _o )
{
    return TQDialog::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool KFindTransactionDlgDecl::tqt_property( int id, int f, TQVariant* v)
{
    return TQDialog::tqt_property( id, f, v);
}

bool KFindTransactionDlgDecl::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
