#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'kgncpricesourcedlgdecl.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kgncpricesourcedlgdecl.h"

#include <ntqvariant.h>
#include <ntqpushbutton.h>
#include <ntqsplitter.h>
#include <ntqlabel.h>
#include <ntqbuttongroup.h>
#include <ntqradiobutton.h>
#include <ntqlistbox.h>
#include <ntqlineedit.h>
#include <ntqcheckbox.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a KGncPriceSourceDlgDecl as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The qdialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal qdialog.
 */
KGncPriceSourceDlgDecl::KGncPriceSourceDlgDecl( TQWidget* parent, const char* name, bool modal, WFlags fl )
    : TQDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "KGncPriceSourceDlgDecl" );

    TQWidget* privateLayoutWidget = new TQWidget( this, "layout4" );
    privateLayoutWidget->setGeometry( TQRect( 10, 400, 496, 50 ) );
    layout4 = new TQHBoxLayout( privateLayoutWidget, 11, 6, "layout4"); 
    spacer3 = new TQSpacerItem( 91, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    layout4->addItem( spacer3 );

    buttonHelp = new TQPushButton( privateLayoutWidget, "buttonHelp" );
    layout4->addWidget( buttonHelp );
    spacer4 = new TQSpacerItem( 80, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    layout4->addItem( spacer4 );

    buttonOK = new TQPushButton( privateLayoutWidget, "buttonOK" );
    buttonOK->setDefault( TRUE );
    layout4->addWidget( buttonOK );
    spacer5 = new TQSpacerItem( 171, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    layout4->addItem( spacer5 );

    splitter1 = new TQSplitter( this, "splitter1" );
    splitter1->setGeometry( TQRect( 11, 1, 525, 370 ) );
    splitter1->setOrientation( TQSplitter::Horizontal );

    TQWidget* privateLayoutWidget_2 = new TQWidget( splitter1, "layout6" );
    layout6 = new TQVBoxLayout( privateLayoutWidget_2, 11, 6, "layout6"); 

    textStockName = new TQLabel( privateLayoutWidget_2, "textStockName" );
    layout6->addWidget( textStockName );

    textGncSource = new TQLabel( privateLayoutWidget_2, "textGncSource" );
    layout6->addWidget( textGncSource );

    textLabel4 = new TQLabel( privateLayoutWidget_2, "textLabel4" );
    layout6->addWidget( textLabel4 );

    buttonGroup5 = new TQButtonGroup( privateLayoutWidget_2, "buttonGroup5" );
    buttonGroup5->setColumnLayout(0, TQt::Vertical );
    buttonGroup5->layout()->setSpacing( 6 );
    buttonGroup5->layout()->setMargin( 11 );
    buttonGroup5Layout = new TQVBoxLayout( buttonGroup5->layout() );
    buttonGroup5Layout->setAlignment( TQt::AlignTop );

    buttonNoSource = new TQRadioButton( buttonGroup5, "buttonNoSource" );
    buttonGroup5->insert( buttonNoSource, 0 );
    buttonGroup5Layout->addWidget( buttonNoSource );

    buttonSelectSource = new TQRadioButton( buttonGroup5, "buttonSelectSource" );
    buttonGroup5->insert( buttonSelectSource, 1 );
    buttonGroup5Layout->addWidget( buttonSelectSource );

    listKnownSource = new TQListBox( buttonGroup5, "listKnownSource" );
    buttonGroup5Layout->addWidget( listKnownSource );

    buttonUserSource = new TQRadioButton( buttonGroup5, "buttonUserSource" );
    buttonGroup5->insert( buttonUserSource, 2 );
    buttonGroup5Layout->addWidget( buttonUserSource );

    lineUserSource = new TQLineEdit( buttonGroup5, "lineUserSource" );
    buttonGroup5Layout->addWidget( lineUserSource );
    layout6->addWidget( buttonGroup5 );

    checkAlwaysUse = new TQCheckBox( privateLayoutWidget_2, "checkAlwaysUse" );
    layout6->addWidget( checkAlwaysUse );
    languageChange();
    resize( TQSize(619, 480).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( buttonOK, TQ_SIGNAL( released() ), this, TQ_SLOT( close() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KGncPriceSourceDlgDecl::~KGncPriceSourceDlgDecl()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KGncPriceSourceDlgDecl::languageChange()
{
    setCaption( tr2i18n( "Online Quotes - Select price source" ) );
    buttonHelp->setText( tr2i18n( "Help" ) );
    buttonOK->setText( tr2i18n( "OK" ) );
    textStockName->setText( TQString::null );
    textGncSource->setText( TQString::null );
    textLabel4->setText( tr2i18n( "This price source is not known to KMyMoney. Please select an option below." ) );
    buttonGroup5->setTitle( TQString::null );
    buttonNoSource->setText( tr2i18n( "Do not perform online quotes for this investment" ) );
    buttonSelectSource->setText( tr2i18n( "Select a known KMyMoney source from the list below" ) );
    buttonUserSource->setText( tr2i18n( "Use the following name for the price source.\n"
"(Click Help for further information.)" ) );
    checkAlwaysUse->setText( tr2i18n( "Always use this selection for this price source." ) );
}

/****************************************************************************
** KGncPriceSourceDlgDecl meta object code from reading C++ file 'kgncpricesourcedlgdecl.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "kgncpricesourcedlgdecl.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *KGncPriceSourceDlgDecl::className() const
{
    return "KGncPriceSourceDlgDecl";
}

TQMetaObject *KGncPriceSourceDlgDecl::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_KGncPriceSourceDlgDecl( "KGncPriceSourceDlgDecl", &KGncPriceSourceDlgDecl::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString KGncPriceSourceDlgDecl::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "KGncPriceSourceDlgDecl", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString KGncPriceSourceDlgDecl::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "KGncPriceSourceDlgDecl", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* KGncPriceSourceDlgDecl::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQDialog::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"KGncPriceSourceDlgDecl", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_KGncPriceSourceDlgDecl.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* KGncPriceSourceDlgDecl::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "KGncPriceSourceDlgDecl" ) )
	return this;
    return TQDialog::tqt_cast( clname );
}

bool KGncPriceSourceDlgDecl::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return TQDialog::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool KGncPriceSourceDlgDecl::tqt_emit( int _id, TQUObject* _o )
{
    return TQDialog::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool KGncPriceSourceDlgDecl::tqt_property( int id, int f, TQVariant* v)
{
    return TQDialog::tqt_property( id, f, v);
}

bool KGncPriceSourceDlgDecl::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
